uk.gov.hmrc.accessibility

# CucumberAccessibilityTester

###
Related Doc: package accessibility

#### trait CucumberAccessibilityTester[T] extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
AuditTester, HtmlValidationTester
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CucumberAccessibilityTester
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def executeTest(pageSource: String): Seq[T]

2. #### abstract def prettyName(): String

3. #### abstract def writeScenarioResults(scenario: Scenario, results: Seq[T]): Unit

4. #### abstract def writeStepResults(scenario: Scenario, results: Seq[T]): Unit

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def checkContent(pageSource: String, filter: (T) ⇒ Boolean = _ => true): Seq[T]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### var currentScenario: Option[Scenario]

8. #### def endScenario(): Unit

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val logger: Logger

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def printTotalResults(): Unit

20. #### var scenarioFailed: Boolean

21. #### var scenarioResults: Seq[T]

22. #### def startScenario(scenario: Scenario): Unit

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### var totalResults: Int

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped